import type { AppProps as NextJsAppProps } from 'next/app';
import hoistNonReactStatics from 'hoist-non-react-statics';
import { SSRProps } from './types';
import React from 'react';
import { DevCycleOptions } from '@devcycle/js-client-sdk';
import { ConfigSource } from '../common/ConfigSource.js';
type DevCycleNextOptions = Pick<DevCycleOptions, 'maxEventQueueSize' | 'flushEventQueueSize' | 'eventFlushIntervalMS' | 'logger' | 'logLevel' | 'apiProxyURL' | 'disableRealtimeUpdates' | 'disableAutomaticEventLogging' | 'disableCustomEventLogging'> & {
    configSource?: ConfigSource;
};
export declare const appWithDevCycle: <Props extends NextJsAppProps>(WrappedComponent: React.ComponentType<Props>, additionalOptions?: DevCycleNextOptions) => ((props: Props & {
    pageProps: Props["pageProps"] & SSRProps;
}) => import("react/jsx-runtime").JSX.Element) & hoistNonReactStatics.NonReactStatics<React.ComponentType<Props>, {}>;
export {};
